Show / Hide Table of Contents

# Struct EventId

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Event

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct EventId

### Fields

| Improve this Doc View Source

#### EntryId

##### Declaration

    public ushort EntryId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Id

##### Declaration

    public uint Id

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public EventHandlerType Type

##### Field Value

Type | Description
--- | ---
EventHandlerType |

### Operators

| Improve this Doc View Source

#### Implicit(EventId to UInt32)

##### Declaration

    public static implicit operator uint (EventId id)

##### Parameters

Type | Name | Description
--- | --- | ---
EventId | id |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Implicit(UInt32 to EventId)

##### Declaration

    public static implicit operator EventId(uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |

##### Returns

Type | Description
--- | ---
EventId |